## openhpi 3.8.0

=== baselibs/csharp/Makefile ===
MCS := dmcs
MONO := mono

.PHONY: all openhpi_baselib example example_iterators example_handlers

all: example example_iterators example_handlers

openhpi_baselib:
	${MCS} @openhpi_baselib.rsp

example: openhpi_baselib
	${MCS} @example.rsp

example_iterators: openhpi_baselib 
	${MCS} @example_iterators.rsp

example_handlers: openhpi_baselib 
	${MCS} @example_handlers.rsp

clean:
	rm -f example.exe example_iterators.exe example_handlers.exe openhpi_baselib.dll

## openhpi 3.6.1

=== debian/changelog ===
openhpi (3.6.1-3.1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:24:33 +0000

openhpi (3.6.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with OpenSSL 1.1 by honouring OPENSSL_NO_MD2.
    (Closes: #859543)

 -- Adrian Bunk <bunk@debian.org>  Sat, 20 Jan 2018 09:57:25 +0200

openhpi (3.6.1-3) unstable; urgency=medium

  * Fixed SNMPFLAGS FTBFS (Closes: #870733)
  * Fixed ftbfs with GCC-7 (Closes: #853590)

 -- Mohan Devarajulu <mohan.devarajulu@hpe.com>  Tue, 12 Sep 2017 11:50:16 -0500

openhpi (3.6.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove -dbgsym packages from debian/control, these are autogenerated by
    dh_strip.  (Closes: #852433)
  * Move the plugin .so links into the plugin packages.  (Closes: #615955)
  * libopenhpi3.postrm: Drop manual ldconfig call.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Mar 2017 17:13:16 +0100

openhpi (3.6.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by using OpenSSL 1.0.2. (Closes: #828468)

 -- Adrian Bunk <bunk@debian.org>  Wed, 18 Jan 2017 21:45:48 +0200

openhpi (3.6.1-2) unstable; urgency=medium

  * Fixed bogus descriptions of -dbgsym packages (Closes: #818660)
  * Fixed libopenhpi transition problems (Closes: #818841)
 
 -- Bryan Sutula <bryan.sutula@hpe.com>  Fri, 25 Mar 2016 13:50:16 -0500

openhpi (3.6.1-1) unstable; urgency=medium

  * Updated to upstream 3.6.1 version; differences listed at
    http://openhpi.org/News
  * Major changes: bug fixes, dynamic simulator plugin 
  * Changes to take care of new ssl, glib etc
  * Major credit for this upload to Mohan Devarajulu <mohan.devarajulu@hpe.com>
  * Fixed security bug CVE-2015-3248 (Closes: #789543)
  * Run dh-autoreconf to update config (Closes: #752453)
  * Added systemd control file (Closes: #785287)
 
 -- Bryan Sutula <bryan.sutula@hpe.com>  Tue, 15 Mar 2016 22:11:14 -0500

openhpi (2.14.1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unneeded autoconf and automake1.9 build deps. (Closes: #724425)

 -- Eric Dorland <eric@debian.org>  Sat, 08 Mar 2014 18:50:37 -0500

openhpi (2.14.1-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * src/lock.c: Include glib.h instead of individual headers. Thanks to Andy
    Whitcroft for the patch. (Closes: #665590)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Jun 2013 17:05:17 +0200

openhpi (2.14.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Split off Linux-specific plugins to fix FTBFS on GNU/kFreeBSD.
    (Closes: #650816)

 -- Robert Millan <rmh@debian.org>  Fri, 27 Apr 2012 23:33:49 +0200

openhpi (2.14.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Upload openhpi (2.14.1-1ubuntu1) except debian/control changes
    to Debian sid (Closes: #565105) (Closes: #555866)
  * Avoid including autotools-dev copies of config.{guess,sub} in
    the debian changes (*.diff.gz)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 18 Jul 2011 22:23:29 +0200

openhpi (2.14.1-1ubuntu1) natty; urgency=low

  * plugins/ipmidirect/ipmi_mc_vendor.cpp: Fix FTBFS with gcc 4.5.
    Taken from upstream. (LP: #687986)
  * clients/Makefile.{am,in}: Add missing libraries otherwise it FTBFS.
    Related to linker '--as-needed' change.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 07 Jan 2011 16:17:28 -0500

openhpi (2.14.1-1) unstable; urgency=low

  * Updated to upstream 2.14.1 version; differences listed at
    http://openhpi.org/News
  * Major changes: bug fixes, bug fixes, and more bug fixes
  * Modified daemon behavior to avoid running until user has configured
    the package for their hardware

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Mon, 14 Jun 2010 11:10:14 -0600

openhpi (2.14.0-3) unstable; urgency=low

  * Cleaned up a bunch of lintian items; documented others in TODO

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Wed, 25 Nov 2009 10:40:52 -0700

openhpi (2.14.0-2) unstable; urgency=low

  * Fixed missing lintian override (2.14.0-1 upload not accepted)
  * Minor update to debian/TODO

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Fri, 20 Nov 2009 13:05:14 -0700

openhpi (2.14.0-1) unstable; urgency=low

  * Updated to upstream 2.14.0 version; differences listed at
    http://openhpi.org/News
  * Major changes: now supports version B.03.01 of the SAF HPI
    specification, continuing improvements in the oa_soap plug-in.
  * Updated and expanded package descriptions (Closes: 493621)
  * Added init script test to make sure daemon is present (Closes: 509551)
  * Fixed bashisms in init script (Closes: 530991)
  * Included plug-in documentation provided by upstream but not previously
    installed
  * Updated to current standards version

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Thu, 19 Nov 2009 08:02:53 -0700

openhpi (2.12.0-1) unstable; urgency=low

  * Updated to upstream 2.12.0 version; differences listed at
    http://openhpi.org/News
  * Few substantial changes except normal bug-fixing.  Most important
    difference is that this is a released (supported) version of
    openhpi, instead of the 2.11.2 development version.  (Closes: 493032)
  * Added lintian-overrides files to clean up compile/build

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Thu, 31 Jul 2008 16:09:20 -0600

openhpi (2.11.2-1) unstable; urgency=low

  * Updated to upstream 2.11.2 version; differences listed at
    http://openhpi.org/News
  * Major changes include the addition of two new plugins
    (ilo2_ribcl and oa_soap), resulting in two new binary packages
    (openhpi-plugin-ilo2-ribcl and openhpi-plugin-oa-soap)

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Thu, 05 Jun 2008 23:49:50 -0600

openhpi (2.10.2-1) unstable; urgency=low

  * Updated to upstream 2.10.2 version; differences listed at
    http://openhpi.org/News
  * Removed special SAF copyright information, since SAF interface
    specification files are now under a BSD-style copyright


=== debian/control ===
Source: openhpi
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mohan Devarajulu <mohan.devarajulu@hpe.com>
Uploaders: Khalid Aziz <khalid@debian.org>
Homepage: http://openhpi.org
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), autotools-dev, autoconf (>= 2.57), dh-autoreconf, automake(>= 1.9), uuid-dev, libglib2.0-dev (>= 2.2), pkg-config, libltdl-dev, openipmi (>= 2.0.7), libopenipmi-dev (>=2.0.7), libsnmp-dev, libssl-dev, libsysfs-dev (>= 0.3), libncurses5-dev, libxml2-dev
Standards-Version: 4.0.0

Package: libopenhpi3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Recommends: openhpid (= ${binary:Version})
Conflicts: libopenhpi, libopenhpi2
Replaces: libopenhpi, libopenhpi2
Description: OpenHPI libraries (runtime and support files)
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains the runtime libraries and support files needed by
 an application program that uses OpenHPI.  As a packaging convenience,
 this base library also includes the watchdog and simulator plugin
 modules.

Package: libopenhpi-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libopenhpi3 (= ${binary:Version}), libopenipmi0 (>=2.0.7), openipmi (>=2.0.7)
Description: OpenHPI libraries (development files)
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains the development libraries and include files needed
 to build an application program that uses OpenHPI.

Package: openhpid
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version}), lsb-base
Description: OpenHPI daemon, supports gathering of manageability information
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains the OpenHPI daemon.  This process gathers
 information from managed hardware and systems, making this available
 to OpenHPI-based applications.

Package: openhpi-clients
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
Description: OpenHPI example client programs
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains the example client programs supplied as part
 of OpenHPI.

Package: openhpi-plugin-ilo2-ribcl
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
Conflicts: libopenhpi, libopenhpi2
Breaks: libopenhpi3 (<< 3.6.1-3~)
Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
Description: OpenHPI plugin module for HP's ProLiant rackmount servers
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains a plugin module that provides hardware information
 from many HP ProLiant rackmount servers, accessing this information
 using RIBCL to an iLO2, over a LAN.

Package: openhpi-plugin-ipmi
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version}), libopenipmi0 (>=2.0.7), openipmi (>=2.0.7)
Conflicts: libopenhpi, libopenhpi2
Breaks: libopenhpi3 (<< 3.6.1-3~)
Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
Description: OpenHPI plugin module for OpenIPMI
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains a plugin module that accesses hardware information
 through the OpenIPMI library.

Package: openhpi-plugin-ipmidirect
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
Conflicts: libopenhpi, libopenhpi2
Breaks: libopenhpi3 (<< 3.6.1-3~)
Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
Description: OpenHPI plugin module for direct IPMI over LAN (RMCP) or SMI
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains a plugin module that accesses hardware information
 with direct IPMI commands over a LAN (RMCP) or through the local SMI.

Package: openhpi-plugin-oa-soap
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
Conflicts: libopenhpi, libopenhpi2
Breaks: libopenhpi3 (<< 3.6.1-3~)
Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
Description: OpenHPI plugin module for HP's BladeSystem c-Class
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains a plugin module that provides hardware information
 from HP BladeSystem c-Class servers, accessing this information using
 SOAP/XML to an Onboard Administrator module, over a LAN.

Package: openhpi-plugin-slave
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
Conflicts: libopenhpi, libopenhpi2
Breaks: libopenhpi3 (<< 3.6.1-3~)
Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
Description: OpenHPI plugin module for slave plugin
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains a plugin module that provides hardware information
 from some other daemon running on a different hardware.

Package: openhpi-plugin-test-agent
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
Conflicts: libopenhpi, libopenhpi2
Breaks: libopenhpi3 (<< 3.6.1-3~)
Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
Description: OpenHPI plugin module for test agent plugin
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains a plugin module that acts as a test agent

Package: openhpi-plugin-snmp-bc
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
Conflicts: libopenhpi, libopenhpi2
Breaks: libopenhpi3 (<< 3.6.1-3~)
Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
Description: OpenHPI plugin module for IBM's BladeCenter or RSA over SNMP
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains a plugin module that accesses IBM BladeCenter
 and RSA-enabled systems hardware information through SNMP.

Package: openhpi-plugin-sysfs
Section: libs
Priority: extra
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
Conflicts: libopenhpi, libopenhpi2
Breaks: libopenhpi3 (<< 3.6.1-3~)
Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
Description: OpenHPI plugin module for the sysfs filesystem
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains a plugin module that accesses hardware information
 presented through the sysfs filesystem.

Package: openhpi-plugin-watchdog
Section: libs
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
Conflicts: libopenhpi, libopenhpi2
Breaks: libopenhpi3 (<< 3.6.1-3~)
Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
Description: OpenHPI plugin module for the Linux watchdog interface
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains a plugin module that uses the Linux watchdog API.

Package: openhpi-plugin-simulator
Section: libs
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
Conflicts: libopenhpi, libopenhpi2
Breaks: libopenhpi3 (<< 3.6.1-3~)
Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
Description: OpenHPI plugin module for a simulator that works without hardware
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains a plugin module that uses the simuator. 

Package: openhpi-plugin-dynamic-simulator
Section: libs
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
Conflicts: libopenhpi, libopenhpi2
Breaks: libopenhpi3 (<< 3.6.1-3~)
Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
Description: OpenHPI plugin module for a dynamic simulator
 OpenHPI is an implementation of the Service Availability Forum's Hardware
 Platform Interface specification.  (See http://www.saforum.org)  As
 such, OpenHPI facilitates the development of computer manageability
 applications which are not tied to a single hardware vendor's products.
 .
 This package contains a plugin module that uses the dynamic simulator.

Package: openhpi
Section: admin
Priority: extra
Architecture: all
Depends: ${misc:Depends}, libopenhpi-dev (>= 3.6.1), openhpid, openhpi-clients, openhpi-plugin-ilo2-ribcl, openhpi-plugin-ipmi, openhpi-plugin-ipmidirect, openhpi-plugin-oa-soap, openhpi-plugin-snmp-bc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)


# The following fails on ia64, because of alignment stuff
# CFLAGS = -Wall -g
CFLAGS = -g

export CPPFLAGS CFLAGS LDFLAGS
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq ($(DEB_HOST_ARCH_OS), linux)
CONFFLAGS += --enable-watchdog
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	mkdir -p m4
	dh_autoreconf
	# Add here commands to configure the package.
	# The following Debian defaults don't work...need to figure out what's
	# wrong:
	# LDFLAGS="-Wl,-z,defs"
	chmod +x ltmain.sh configure
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --with-varpath=/var/lib/openhpi --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-daemon --enable-clients --enable-ipmi --enable-cpp_wrappers --enable-oa_soap --enable-ilo2_ribcl --enable-snmp_bc --enable-ipmidirect --enable-simulator --enable-dynamic_simulator $(CONFFLAGS) CFLAGS="$(CFLAGS)"
	touch configure-stamp


build: build-stamp

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp

build-stamp:  configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	# chmod -x ltmain.sh configure
	[ ! -f Makefile ] || $(MAKE) clean
	find . -name Makefile -exec rm -f "{}" ";"
	find . -name Makefile -exec rm -f "{}" ";"
	find . -depth -type d -name \$\(top_srcdir\) -exec rm -rf "{}" ";"
	find . -depth -type d -name \.deps -exec rm -rf "{}" ";"
	find . -depth -type d -name \$\(top_srcdir\) -exec rm -rf "{}" ";"
	# Should we remove the baselibs/csharp from the distro?

	rm -f config.log config.guess libtool config.status config.h rt-env.sh stamp-h1
	rm -f openhpi.spec openhpi.pc openhpid/openhpid.sh
	rm -f utils/openhpiutils.pc clients/.dirstamp
	dh_autoreconf_clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	# Add here commands to install the package into debian/openhpi.
	# Installing into debian/tmp, then using dh_install and the
	# package.install file to break up the files into packages.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# openhpi is an empty package, but an empty .install file can't be
	# represented in a diff
	touch debian/openhpi.install


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i --all debian/README.Debian
	dh_installexamples -i
#	dh_install --sourcedir=debian/tmp -i
#	dh_installmenu -i
#	dh_installdebconf -i	
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_python -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installinfo -i
#	dh_installwm -i
#	dh_installudev -i
	dh_lintian -i
#	dh_undocumented -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a --all debian/README.Debian
	dh_installexamples -a
	# Using the upstream init script...better way to do this?
	rm -f debian/openhpid.init
	mv debian/tmp/etc/init.d/openhpid debian/openhpid.init
	# For now, not shipping the .la files because they are a support
	# liability as far as version dependencies go
	rm -f debian/tmp/usr/lib/*.la
	rm -f debian/tmp/usr/lib/openhpi/*.la
	# The following are for specific documentation files that upstream
	# puts in a nonstandard place:
	mv debian/tmp/usr/share/doc/openhpi*/README debian/libopenhpi3/usr/share/doc/libopenhpi3/
	mv debian/tmp/usr/share/doc/openhpi*/README.daemon debian/libopenhpi3/usr/share/doc/libopenhpi3/
	# Our debian/copyright file includes the contents of this one
	rm debian/tmp/usr/share/doc/openhpi*/COPYING
	# Upstream doesn't "install" these files anywhere and they're useful:
	cp plugins/ilo2_ribcl/OpenHPI_ProLiant_DevGuide.pdf debian/openhpi-plugin-ilo2-ribcl/usr/share/doc/openhpi-plugin-ilo2-ribcl/
	cp plugins/oa_soap/OpenHPI_Blade_DevGuide.pdf debian/openhpi-plugin-oa-soap/usr/share/doc/openhpi-plugin-oa-soap/
	cp plugins/snmp_bc/bc2hpi.pdf debian/openhpi-plugin-snmp-bc/usr/share/doc/openhpi-plugin-snmp-bc/
	dh_install --sourcedir=debian/tmp --fail-missing -a
#	dh_installmenu -a
#	dh_installdebconf -a	
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_python -a
	dh_installinit -a
#	dh_installcron -a
#	dh_installinfo -a
#	dh_installwm -a
#	dh_installudev -a
	dh_lintian -a
#	dh_undocumented -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl -a
	dh_makeshlibs -a -X/usr/lib/openhpi	# Could add -V here
	dh_installdeb -a
	dh_shlibdeps -a -- --warnings=1
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## openhpi 3.8.0

=== debian/changelog ===
openhpi (3.8.0-2build4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:28:57 +0100

openhpi (3.8.0-2build3) focal; urgency=medium

  * Rebuild for libsnmp35.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 14 Jan 2020 18:04:48 +0000

openhpi (3.8.0-2build2) eoan; urgency=medium

  [ Matthias Klose ]
  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 14 Jan 2020 18:03:08 +0000

openhpi (3.8.0-2build1) eoan; urgency=medium

  * Rebuild against new libjson-c4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jun 2019 13:57:40 +0200

openhpi (3.8.0-2) unstable; urgency=medium

  * Fixed libopenhpi-dev: broken symlink: /usr/lib/libopenhpi_snmp.so ->
    libopenhpi_snmp.so.3.8.0 (Closes: #906183)

 -- Mohan Devarajulu <mohan.devarajulu@hpe.com>  Thu, 13 Sep 2018 11:50:16 -0500

openhpi (3.8.0-1) unstable; urgency=medium

  * Updated to upstream 3.8.0 version; differences listed at
    http://openhpi.org/News
  * Major changes include the addition of a new plugin
    (ov_rest), resulting in a new binary packages
    (openhpi-plugin-ov-rest)

 -- Mohan Devarajulu <mohan.devarajulu@hpe.com>  Tue, 05 Jun 2018 11:50:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: openhpi
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mohan Devarajulu <mohan.devarajulu@hpe.com>
+Maintainer: Mohan Devarajulu <mohan.devarajulu@hpe.com>
 Uploaders: Khalid Aziz <khalid@debian.org>
 Homepage: http://openhpi.org
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), autotools-dev, autoconf (>= 2.57), dh-autoreconf, automake(>= 1.9), uuid-dev, libglib2.0-dev (>= 2.2), pkg-config, libltdl-dev, openipmi (>= 2.0.7), libopenipmi-dev (>=2.0.7), libsnmp-dev, libssl-dev, libsysfs-dev (>= 0.3), libncurses5-dev, libxml2-dev
+Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.1~), autoconf (>= 2.57), automake(>= 1.9), uuid-dev, libglib2.0-dev (>= 2.2), pkg-config, libltdl-dev, openipmi (>= 2.0.7), libopenipmi-dev (>=2.0.7), libsnmp-dev, libssl-dev, libsysfs-dev (>= 0.3), libncurses5-dev, libxml2-dev, librabbitmq-dev, libcurl4-openssl-dev, libjson-c-dev
 Standards-Version: 4.0.0
 
 Package: libopenhpi3
@@ -29,7 +28,7 @@
 Package: libopenhpi-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libopenhpi3 (= ${binary:Version}), libopenipmi0 (>=2.0.7), openipmi (>=2.0.7)
+Depends: ${misc:Depends}, openhpi
 Description: OpenHPI libraries (development files)
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -71,8 +70,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for HP's ProLiant rackmount servers
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -88,8 +87,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version}), libopenipmi0 (>=2.0.7), openipmi (>=2.0.7)
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for OpenIPMI
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -104,8 +103,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for direct IPMI over LAN (RMCP) or SMI
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -120,25 +119,42 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
-Description: OpenHPI plugin module for HP's BladeSystem c-Class
- OpenHPI is an implementation of the Service Availability Forum's Hardware
- Platform Interface specification.  (See http://www.saforum.org)  As
- such, OpenHPI facilitates the development of computer manageability
- applications which are not tied to a single hardware vendor's products.
- .
- This package contains a plugin module that provides hardware information
- from HP BladeSystem c-Class servers, accessing this information using
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
+Description: OpenHPI plugin module for HPE's BladeSystem c-Class
+ OpenHPI is an implementation of the Service Availability Forum's Hardware
+ Platform Interface specification.  (See http://www.saforum.org)  As
+ such, OpenHPI facilitates the development of computer manageability
+ applications which are not tied to a single hardware vendor's products.
+ .
+ This package contains a plugin module that provides hardware information
+ from HP BladeSystem c-Class enclosures, accessing this information using
  SOAP/XML to an Onboard Administrator module, over a LAN.
 
+Package: openhpi-plugin-ov-rest
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
+Conflicts: libopenhpi, libopenhpi2
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
+Description: OpenHPI plugin module for HPE's Synergy enclosures 
+ OpenHPI is an implementation of the Service Availability Forum's Hardware
+ Platform Interface specification.  (See http://www.saforum.org)  As
+ such, OpenHPI facilitates the development of computer manageability
+ applications which are not tied to a single hardware vendor's products.
+ .
+ This package contains a plugin module that provides hardware information
+ from HPE Synergy enclosures, accessing this information using
+ REST/Json to an Synergy Composer module, over a LAN.
+
 Package: openhpi-plugin-slave
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for slave plugin
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -153,8 +169,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for test agent plugin
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -168,8 +184,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for IBM's BladeCenter or RSA over SNMP
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -181,12 +197,12 @@
 
 Package: openhpi-plugin-sysfs
 Section: libs
-Priority: extra
-Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
-Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Priority: optional
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
+Conflicts: libopenhpi, libopenhpi2
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for the sysfs filesystem
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -202,8 +218,8 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for the Linux watchdog interface
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -218,8 +234,8 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for a simulator that works without hardware
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -234,18 +250,7 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for a dynamic simulator
  OpenHPI is an implementation of the Service Availability Forum's Hardware
- Platform Interface specification.  (See http://www.saforum.org)  As
- such, OpenHPI facilitates the development of computer manageability
- applications which are not tied to a single hardware vendor's products.
- .
- This package contains a plugin module that uses the dynamic simulator.
-
-Package: openhpi
-Section: admin
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, libopenhpi-dev (>= 3.6.1), openhpid, openhpi-clients, openhpi-plugin-ilo2-ribcl, openhpi-plugin-ipmi, openhpi-plugin-ipmidirect, openhpi-plugin-oa-soap, openhpi-plugin-snmp-bc
